/**
 * @license
 * Copyright Meepo Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at http://meepo.com.cn/license
 */
(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global.ng = global.ng || {}, global.ng['weui-footer'] = global.ng['weui-footer'] || {}),global.ng.core,global.ng.common));
}(this, (function (exports,_angular_core,_angular_common) { 'use strict';

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/* global Reflect, Promise */







function __decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}

exports.WeuiFooter = (function () {
    function WeuiFooter() {
        this._footer = true;
    }
    /**
     * @return {?}
     */
    WeuiFooter.prototype.ngOnInit = function () { };
    return WeuiFooter;
}());
__decorate([
    _angular_core.HostBinding('class.weui-footer')
], exports.WeuiFooter.prototype, "_footer", void 0);
exports.WeuiFooter = __decorate([
    _angular_core.Component({
        selector: 'weui-footer',
        template: "\n        <ng-content select=\"footer-links\"></ng-content>\n        <ng-content select=\"footer-text\"></ng-content>\n    "
    })
], exports.WeuiFooter);
exports.WeuiFooterFixed = (function () {
    function WeuiFooterFixed() {
        this._fixed = true;
    }
    return WeuiFooterFixed;
}());
__decorate([
    _angular_core.HostBinding('class.weui-footer_fixed-bottom')
], exports.WeuiFooterFixed.prototype, "_fixed", void 0);
exports.WeuiFooterFixed = __decorate([
    _angular_core.Directive({
        selector: 'weui-footer[fixed]',
    })
], exports.WeuiFooterFixed);
exports.WeuiFooterLinks = (function () {
    function WeuiFooterLinks() {
        // weui-footer__links
        this._links = true;
    }
    return WeuiFooterLinks;
}());
__decorate([
    _angular_core.HostBinding('class.weui-footer__links')
], exports.WeuiFooterLinks.prototype, "_links", void 0);
exports.WeuiFooterLinks = __decorate([
    _angular_core.Directive({
        selector: 'footer-links',
    })
], exports.WeuiFooterLinks);
exports.WeuiFooterLink = (function () {
    function WeuiFooterLink() {
        this._link = true;
    }
    return WeuiFooterLink;
}());
__decorate([
    _angular_core.HostBinding('class.weui-footer__link')
], exports.WeuiFooterLink.prototype, "_link", void 0);
exports.WeuiFooterLink = __decorate([
    _angular_core.Directive({
        selector: 'a[footer-link]',
    })
], exports.WeuiFooterLink);
exports.WeuiFooterText = (function () {
    function WeuiFooterText() {
        this._text = true;
        this._display = 'block';
    }
    return WeuiFooterText;
}());
__decorate([
    _angular_core.HostBinding('class.weui-footer__text')
], exports.WeuiFooterText.prototype, "_text", void 0);
__decorate([
    _angular_core.HostBinding('style.display')
], exports.WeuiFooterText.prototype, "_display", void 0);
exports.WeuiFooterText = __decorate([
    _angular_core.Directive({
        selector: 'footer-text',
    })
], exports.WeuiFooterText);
var components = [
    exports.WeuiFooter,
    exports.WeuiFooterFixed,
    exports.WeuiFooterLinks,
    exports.WeuiFooterLink,
    exports.WeuiFooterText
];
exports.WeuiFooterModule = (function () {
    function WeuiFooterModule() {
    }
    return WeuiFooterModule;
}());
exports.WeuiFooterModule = __decorate([
    _angular_core.NgModule({
        declarations: components.slice(),
        imports: [_angular_common.CommonModule],
        exports: components.slice(),
        providers: [],
    })
], exports.WeuiFooterModule);

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=weui-footer.umd.js.map
