/**
 * @license
 * Copyright Meepo Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at http://meepo.com.cn/license
 */
import { __decorate } from 'tslib';
import { Component, Directive, HostBinding, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
var WeuiFooter = (function () {
    function WeuiFooter() {
        this._footer = true;
    }
    /**
     * @return {?}
     */
    WeuiFooter.prototype.ngOnInit = function () { };
    return WeuiFooter;
}());
__decorate([
    HostBinding('class.weui-footer')
], WeuiFooter.prototype, "_footer", void 0);
WeuiFooter = __decorate([
    Component({
        selector: 'weui-footer',
        template: "\n        <ng-content select=\"footer-links\"></ng-content>\n        <ng-content select=\"footer-text\"></ng-content>\n    "
    })
], WeuiFooter);
var WeuiFooterFixed = (function () {
    function WeuiFooterFixed() {
        this._fixed = true;
    }
    return WeuiFooterFixed;
}());
__decorate([
    HostBinding('class.weui-footer_fixed-bottom')
], WeuiFooterFixed.prototype, "_fixed", void 0);
WeuiFooterFixed = __decorate([
    Directive({
        selector: 'weui-footer[fixed]',
    })
], WeuiFooterFixed);
var WeuiFooterLinks = (function () {
    function WeuiFooterLinks() {
        // weui-footer__links
        this._links = true;
    }
    return WeuiFooterLinks;
}());
__decorate([
    HostBinding('class.weui-footer__links')
], WeuiFooterLinks.prototype, "_links", void 0);
WeuiFooterLinks = __decorate([
    Directive({
        selector: 'footer-links',
    })
], WeuiFooterLinks);
var WeuiFooterLink = (function () {
    function WeuiFooterLink() {
        this._link = true;
    }
    return WeuiFooterLink;
}());
__decorate([
    HostBinding('class.weui-footer__link')
], WeuiFooterLink.prototype, "_link", void 0);
WeuiFooterLink = __decorate([
    Directive({
        selector: 'a[footer-link]',
    })
], WeuiFooterLink);
var WeuiFooterText = (function () {
    function WeuiFooterText() {
        this._text = true;
        this._display = 'block';
    }
    return WeuiFooterText;
}());
__decorate([
    HostBinding('class.weui-footer__text')
], WeuiFooterText.prototype, "_text", void 0);
__decorate([
    HostBinding('style.display')
], WeuiFooterText.prototype, "_display", void 0);
WeuiFooterText = __decorate([
    Directive({
        selector: 'footer-text',
    })
], WeuiFooterText);
var components = [
    WeuiFooter,
    WeuiFooterFixed,
    WeuiFooterLinks,
    WeuiFooterLink,
    WeuiFooterText
];
var WeuiFooterModule = (function () {
    function WeuiFooterModule() {
    }
    return WeuiFooterModule;
}());
WeuiFooterModule = __decorate([
    NgModule({
        declarations: components.slice(),
        imports: [CommonModule],
        exports: components.slice(),
        providers: [],
    })
], WeuiFooterModule);
/**
 * Generated bundle index. Do not edit.
 */
export { WeuiFooterModule, WeuiFooter, WeuiFooterFixed, WeuiFooterLinks, WeuiFooterLink, WeuiFooterText };
//# sourceMappingURL=weui-footer.es5.js.map
